Next: SCALE, Previous: RSHIFT, Up: Intrinsic Procedures [Contents][Index]

### 9.235 `SAME_TYPE_AS` — Query dynamic types for equality

Description:

  Query dynamic types for equality.

Standard:

  Fortran 2003 and later

Class:

  Inquiry function

Syntax:

  `RESULT = SAME_TYPE_AS(A, B)`

Arguments:

  A | Shall be an object of extensible declared type or unlimited polymorphic.
  B | Shall be an object of extensible declared type or unlimited polymorphic.

Return value:

  The return value is a scalar of type default logical. It is true if and only if the dynamic type of A is the same as the dynamic type of B.

See also:

  EXTENDS_TYPE_OF